# Kaleido Private Stack Network Bridge

The local bridge runtime connects to a peer server running inside of the isolated Kaleido network
of your environment. The configuration file is downloaded from your Kaleido environment.

## License

This software is provided under the [Kaleido Software License](./kaleido_software_license.pdf)

You should have received a copy of the Kaleido Software License with this software distribution.

## Usage

```
./kldbridge-linux-x64 -c a0hu6xjno4-a0bh5mq95t-client.json
```

| Flag | Alias                         | Type    | Default             | Description                                       |
|------|-------------------------------|---------|---------------------|---------------------------------------------------|
| -p   | --port                        | number  | (none)              | Tunnel port                                       |
| -h   | --host                        | string  | "0.0.0.0"           | Tunnel host                                       |
| -c   | --config                      | string  | "/data/config.json" | Configuration file path                           |
|      | --waitForConfig               | boolean | false               | If the config file is missing, wait for creation  |
|      | --relaxSchema                 | boolean | false               | Start server even if config invalid per schema    |
|      | --tunnelPingFrequency         | number  | 30                  | Tunnel ping frequency (seconds)                   |
|      | --reconnectionDelay           | number  | 1                   | Reconnection delay (seconds)                      |
|      | --uiUpdateFrequency           | number  | 1                   | User interface update frequency (seconds)         |
|      | --secureServer                | boolean | false               | Listen locally using TLS (default false)          |
|      | --privateKeyFilePath          | string  | (none)              | Path to private key file                          |
|      | --certificateFilePath         | string  | (none)              | Path to certificate file                          |
|      | --remoteCertificatesDirectory | string  | (none)              | Path to directory containing remote certificates  |
|      | --clientCertificateRequired   | boolean | false               | Require clients to use certificates               |

## Environment variables

- LOG_LEVEL: "error" | "warn" | "info" (default) | "debug"

## Configuration file

Download the configuration file from your Kaleido environment at https://console.kaleido.io.

## Local User Interface

Specify `-p 3000` to start the network bridge with a UI you can log into to monitor connections.
